Bug 1026998 - (CVE-2013-4518) CVE-2013-4518 RHUI: PKI entitlement certificates are world readable
CVE-2013-4518 RHUI: PKI entitlement certificates are world readable
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140811,reported=2...
: Security
Depends On: 1026828
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 15:41 EST by Kurt Seifried
Modified: 2015-08-22 11:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-11-05 15:41:40 EST
Ina Panova of Red Hat reports:

Entitlement certificates keys have open permission in all client configuration rpms.

Custom client conf package:

[root@cli1 ~]# ls -la /etc/pki/entitlement/*key*
-rw-r--r--. 1 root root 1679 Nov  5 08:35 /etc/pki/entitlement/key.pem
[root@cli1 ~]# 


Rh-amazon-rhui-client package:

[root@rhua ~]# ls -la /etc/pki/entitlement/*key*
-rw-r--r--. 1 root root 1675 Jan 22  2013 /etc/pki/entitlement/content-rhel6.key
-rw-r--r--. 1 root root 1679 Jan 22  2013 /etc/pki/entitlement/rhui-client-config-server-6.key
[root@rhua ~]#
Comment 1 Kurt Seifried 2013-11-05 15:48:44 EST
OpenShift Online does not appear to be affected:

[appname-username.rhcloud.com 012345678901234567890123]\> cat /etc/pki/entitlement/content-rhel6.key
cat: /etc/pki/entitlement/content-rhel6.key: Permission denied

[appname-username.rhcloud.com 012345678901234567890123]\> cat /etc/pki/entitlement/rhui-client-config-server-6.key
cat: /etc/pki/entitlement/rhui-client-config-server-6.key: Permission denied
Comment 2 Kurt Seifried 2014-08-08 15:21:54 EDT
Statement:

Red Hat Update Infrastructure 2.1.3 is now in Production 2 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Update Infrastructure Life Cycle: https://access.redhat.com/support/policy/updates/rhui.

Note You need to log in before you can comment on or make changes to this bug.